WKS4ChartInternal::Chart Class Reference documentation

WKS4ChartInternal::Chart Class Referencefinal

the chart of a WKS4 Pro Dos More...

Inheritance diagram for WKS4ChartInternal::Chart:

## Classes
struct | SerieData
| small struct used to defined the serie data More...

## Public Member Functions
| Chart (WKS4Chart &parser, RVNGInputStreamPtr const &input)
| constructor
void | sendContent (TextZone const &zone, WPSListenerPtr &listener) const final
| send the zone content (called when the zone is of text type)
bool | empty () const
| check if the chart has no serie
Public Member Functions inherited from WKSChart
| WKSChart (Vec2f const &dim=Vec2f())
| the constructor
virtual | ~WKSChart ()
| the destructor
void | sendChart (WKSContentListenerPtr &listener, librevenge::RVNGSpreadsheetInterface *interface) const
| send the chart to the listener
void | setGridColor (WPSColor const &color)
| set the grid color
Axis & | getAxis (int coord)
| return an axis (corresponding to a coord)
Axis const & | getAxis (int coord) const
| return an axis (corresponding to a coord)
Legend const & | getLegend () const
| returns the legend
Legend & | getLegend ()
| returns the legend
Serie * | getSerie (int id, bool create)
| return a serie
std::map< int, Serie > const & | getIdSerieMap () const
| returns the list of defined series
TextZone * | getTextZone (TextZone::Type type, bool create=false)
| returns a textzone content

## Public Attributes
int | m_fileType
| the chart type
bool | m_axisZoneFound
| flag to know if we have found the axis zone
bool | m_use2D
| flag to know if we print line/surface data
bool | m_seriesStylesZoneFound
| flag to know if we have found the series zone
SerieData | m_seriesData [6]
| the serie local data
Public Attributes inherited from WKSChart
Vec2f | m_dimension
| the chart dimension in point
Serie::Type | m_type
| the chart type (if no series)
bool | m_dataStacked
| a flag to know if the data are stacked or not
bool | m_dataPercentStacked
| a flag to know if the data are percent stacked or not
bool | m_dataVertical
| a flag to know if the data are vertical (for bar)
bool | m_is3D
| a flag to know if the graphic is 3D
bool | m_is3DDeep
| a flag to know if real 3D or 2D-extended
WPSGraphicStyle | m_style
| the chart style
librevenge::RVNGString | m_name
| the chart name
WPSBox2f | m_plotAreaPosition
| the plot area dimension in percent
WPSGraphicStyle | m_plotAreaStyle
| the ploat area style
WPSBox2f | m_legendPosition
| the legend dimension in percent
WPSGraphicStyle | m_floorStyle
| floor
WPSGraphicStyle | m_wallStyle
| wall

## Protected Attributes
WKS4Chart & | m_parser
| the parser
RVNGInputStreamPtr | m_input
| the input
Protected Attributes inherited from WKSChart
WPSColor | m_gridColor
| the grid color
Axis | m_axis [5]
| the x,y,y-second,z and a bad axis
Legend | m_legend
| the legend
std::map< int, Serie > | m_serieMap
| the list of series
std::map< TextZone::Type, TextZone > | m_textZoneMap
| a map text zone type to text zone

## Additional Inherited Members
Protected Member Functions inherited from WKSChart
void | sendTextZoneContent (TextZone::Type type, WPSListenerPtr listener) const
| sends a textzone content

## Detailed Description

the chart of a WKS4 Pro Dos

## Constructor & Destructor Documentation

## ◆ Chart()

WKS4ChartInternal::Chart::Chart | ( | WKS4Chart & | parser,
|  | RVNGInputStreamPtr const & | input )
| inlineexplicit

constructor

Referenced by empty().

## Member Function Documentation

## ◆ empty()

bool WKS4ChartInternal::Chart::empty | ( |  | ) | const
| inline

check if the chart has no serie

## ◆ sendContent()

void WKS4ChartInternal::Chart::sendContent | ( | TextZone const & | zone,
|  | WPSListenerPtr & | listener ) const
| finalvirtual

send the zone content (called when the zone is of text type)

Implements WKSChart.

## Member Data Documentation

## ◆ m_axisZoneFound

bool WKS4ChartInternal::Chart::m_axisZoneFound

flag to know if we have found the axis zone

Referenced by Chart(), and WKS4Chart::updateChart().

## ◆ m_fileType

int WKS4ChartInternal::Chart::m_fileType

the chart type

Referenced by Chart(), and WKS4Chart::updateChart().

## ◆ m_input

RVNGInputStreamPtr WKS4ChartInternal::Chart::m_input
| protected

the input

Referenced by Chart(), and sendContent().

## ◆ m_parser

WKS4Chart& WKS4ChartInternal::Chart::m_parser
| protected

the parser

Referenced by Chart(), and sendContent().

## ◆ m_seriesData

SerieData WKS4ChartInternal::Chart::m_seriesData[6]

the serie local data

Referenced by WKS4Chart::updateChart().

## ◆ m_seriesStylesZoneFound

bool WKS4ChartInternal::Chart::m_seriesStylesZoneFound

flag to know if we have found the series zone

Referenced by Chart().

## ◆ m_use2D

bool WKS4ChartInternal::Chart::m_use2D

flag to know if we print line/surface data

Referenced by Chart(), and WKS4Chart::updateChart().

The documentation for this class was generated from the following file:

- WKS4Chart.cpp